﻿
namespace WCDPatcher.Core.WondercardPatcher
{
    /// <summary>
    /// Location of offsets used in patching the wondercard. All offsets in this class are relative to the start of the wondercard
    /// </summary>
    public static class WondercardOffsets
    {
        /// <summary>
        /// The value that determines what games can accept the wondercard (Size: 2 bytes)
        /// </summary>
        public const int PCDHeader_GameAllowanceBlock = 0x0000014C;

        /// <summary>
        /// The GGID offset. Used for determining region for distribution (Language based; Size: 4 bytes)
        /// </summary>
        public static int GGID = 0x168C00;  //4 bytes


        /// <summary>
        /// The offset where the friend distribution limit resides
        /// </summary>
        public static int FriendDistributionLimit = 0x00000348;

        /// <summary>
        /// The offset to copy wondercard header info from. (Size: 80 bytes;Dest: Wondercard)
        /// </summary>
        public static int SourceCopyBlock = 0x104; //80 bytes,WCARD


        /// <summary>
        /// The date distribution offset. (Size: 8 bytes;Format: Unknown)
        /// </summary>
        public static int DateDistributionOffsetStart = 0x16C600; //8 Bytes, unknown date format
    }
}
